#### D.7.1.19 primary_charp_without

Procedure from library `finvar.lib` (see finvar_lib).

Usage:
  primary_charp_without(G1,G2,...[,v]);
  G1,G2,...: <matrices> generating a finite matrix group, v: an optional <int>

Display:
  information about the various stages of the programme if v does not equal 0

Return:
  primary invariants (type <matrix>) of the invariant ring

Theory:
  Bases of homogeneous invariants are generated successively and those are chosen as primary invariants that lower the dimension of the ideal generated by the previously found invariants (see paper "Generating a Noetherian Normalization of the Invariant Ring of a Finite Group" by Decker, Heydtmann, Schreyer (1998)). No Reynolds
  operator or Molien series is used.

Example:

    LIB "finvar.lib";
    ring R=2,(x,y,z),dp;
    matrix A[3][3]=0,1,0,-1,0,0,0,0,-1;
    matrix P=primary_charp_without(A);
    print(P);
    ==> x+y,z,xy

User manual for Singular version 4.4.1, 2025, generated by texi2html.